Is groovy plugin step now ?

I found https://github.com/melix/teamcity-groovy-buildstep groovy plugin, but I can`t build it. I have message:

Could not resolve all dependencies for configuration ':agent:compile'. > Could not resolve teamcity:agent-api:8.0.5. Required by: me.champeau.teamcity:agent:1.0.0-SNAPSHOT > Could not GET '
http://evgenyg.artifactoryonline.com/evgenyg/teamcity/teamcity/agent-api/8.0.5/agent-api-8.0.5.pom
'. Received status code 401 from server: Unauthorized > Could not resolve teamcity:servlet-api:8.0.5. Required by: me.champeau.teamcity:agent:1.0.0-SNAPSHOT etc...

is any another pligin available ?

Thanks.

1 comment

Hi Alexey,

The plugin is not associated with JetBrains and it fails as it in turn depends on Evgeny Goldin Groovy plugin (again not accociaed with JetBrains) which Evgeniy decided to stop distributing via own repository.

So far we (JetBrains) have no specific plans on providing the support for the plugin. You can contact the authors to resolve the case from their side.

0

Please sign in to leave a comment.